js_octets(3)

NAME
js_octets - determine the maximum number of octets for a given js_string object

SYNOPSIS
#include JsStr.h

int js_octets(js_string *js);

DESCRIPTION
js_octets determines the maximum number of octets allowed in a given js_string object. This function is mainly used in js_string's internal functions to ensure that buffers can not be overflowed.

RETURN VALUE
js_octets returns, as a signed integer, the maximum number of octets allowed in a given object.

BUGS
This function should be an inline function.

NOTES
If C had OO capabilities, this would be a private function.

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>